AnsweredAssumed Answered

feature manager drawwing renaming macro

Question asked by Nick Gvk on Mar 22, 2017
Latest reply on Mar 28, 2017 by Nick Gvk

so i have been doing allot of work trying to convert drawwings

 

the problem lays withing a few things

i get drawings from china germany france and spain

they all use their own language

 

but the staff we work with dont speak any of these languages

so they cant work with the drawings that are provided

my job isnt converting every single file but desing new products

unfortunaly converting these drawings has become a full time job

as often the changes in my master drawwings that i send to these  company`s makes the "models items" button obsolete

because most of the time they use and imported file instead of the .sldprt

 

 

the problem :

i get sldprt files in 3 different languages

i get slddrw files in 3 different languages

 

 

the solution i have so far :

 

i run my lanuage change macro on the  .sldprt

so  99% of all forgein language becomes english

 

then i open the .slddrw

and run this macro

 

---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Dim swApp As Object

Dim Part As Object

Dim boolstatus As Boolean

Dim longstatus As Long, longwarnings As Long

Sub main()

Set Part = swApp.ActiveDoc

Set swApp = Application.SldWorks

Set swModel = swApp.ActiveDoc

If swModel Is Nothing Then

        MsgBox " Warning! No active drawing ! Select your drawing and try again"

        Exit Sub

End If   

If swModel.GetType <> swDocDRAWING Then

        MsgBox "Warning! No drawing Loaded ! Load / Open an drawing and try again"

        Exit Sub

End If

boolstatus = Part.SetupSheet5("Sheet1", 12, 12, 1, 1, False, "c:\programdata\solidworks\solidworks 2014\lang\english\sheetformat\A3FabricationSheet.slddrt", 0, 0, "Default", True)

MsgBox "Successfully Changed the sheet format ! "

End Sub

 

---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

 

 

 

after that i go and clean the drawwing up some more by removing actual text in the drawwing ( in the picture the nite with A-A)

 

GqHAAJf.png

 

what i like the macro to do is also change the names in the feauture manager

to anything preferebly the normal names

i tried running the macro to change the language

but it only change the first 2

and the macro above here already changes the second on to sheet1

 

 

 

here is another example on the .sldprt

multi language  with a ton of mistakes in it

before

WlS4CP9.png

after

8h4kdhw.png

 

 

can anyone help me a little ? with doing the same thing but then for drawwings

Outcomes